ObjectsUpload url
Generate a presigned PUT URL for upload
Request Body
application/json
endpoint*string
S3-compatible endpoint URL or host
region*string
access_key_id*string
secret_key*string
bucket*string
key*string
content_type?|
Response Body
application/json
curl -X POST "https://athena-cluster.com/storage/objects/upload-url" \ -H "Content-Type: application/json" \ -d '{ "endpoint": "string", "region": "string", "access_key_id": "string", "secret_key": "string", "bucket": "string", "key": "string" }'Empty
Empty
{
"status": "error",
"message": "string",
"error": "string"
}Update object metadata headers and/or ACL POST
Updates object metadata headers and/or ACL on the underlying object store. When `X-Organization-Id` is present, Athena also persists the mutation into `athena.files`, `athena.audit_log_files`, and `athena.event_log_files` on the Athena client selected by `X-Athena-Client`.
Generate a presigned GET URL for an object POST
Next Page